package cn.minbb.serialport.impl;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Arrays;

import cn.minbb.serialport.handler.SendDataHandler;
import cn.minbb.serialport.listener.OnDataProgressListener;
import cn.minbb.serialport.utils.LogUtil;

public class SendDataBytesImpl implements SendDataHandler<byte[]> {

    @Override
    public void send(FileInputStream fileInputStream, FileOutputStream fileOutputStream, OnDataProgressListener onDataProgressListener, byte[] bytes) throws IOException {
        fileOutputStream.write(bytes);
        LogUtil.setAppendFile("发送字符数组：" + Arrays.toString(bytes));
    }
}
