package cn.minbb.serialport.listener;

/**
 * 数据发送进度监听器
 */
public interface OnDataProgressListener {
    /**
     * 进度回调
     *
     * @param progress 当前进度 计算方法为 index / total 最大值为 1
     * @param index    当前发送的数据包索引 从 1 开始
     * @param total    总数据包数量
     */
    void onProgress(double progress, int index, int total, byte[] bytes);
}
