package cn.minbb.serialport.utils;

import android.os.Environment;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.PrintWriter;
import java.text.SimpleDateFormat;
import java.util.Date;

public class LogUtil {

    // 路径为 /sdcard/[appName]/log.txt
    private static final String appName = "Documents";
    private static File file;

    static {
        file = new File(Environment.getExternalStorageDirectory(), appName);
        if (!file.exists()) {
            file.mkdirs();
        }
        file = new File(file, SimpleDateFormat.getDateInstance().format(new Date()) + ".txt");
    }

    /**
     * 将文本追加写入到文件
     */
    public static void setAppendFile(String value) {
        try {
            FileWriter fw = new FileWriter(file, true);
            BufferedWriter bw = new BufferedWriter(fw);
            PrintWriter printWriter = new PrintWriter(bw);
            printWriter.print(SimpleDateFormat.getDateTimeInstance().format(new Date()) + ":[");
            printWriter.print(value);
            printWriter.println("]");
            printWriter.close();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
